***Install Clarify that used to generated predicted probabilities (note predicted probabilities produced below may slightly vary from those reported in the paper since they are simulation based)

**net install clarify 

***Genderate condition dummy variables (and provide Ns for conditions as noted in the paper)
tab condition
gen public = condition
recode public 1/1 = 0 2/2 = 1 3/3= 0
gen private = condition
recode private 1/2 = 0 3/3 = 1

***Number of respondents who answered no main outcome varaibles (as stated in the text and note 6)
gen dropout = 0
recode dropout 0/0 = 1 if (respond == . & mention_leg == . & mention_interest == . & sponsor == . & move_p == . & leg_credit == . & interest_credit == .)
tab dropout
logit dropout public private

***Create minority variable such that it = 0 if only checked White, checked White and Other, or checked Other; and = 1 if checked Black, Native American, Hispanic, or Asian American 
gen minority = 0
recode minority 0/0 = 1 if black == 1 | nat_am == 1 | hispanic == 1 | as_am == 1
tab minority
tab minority black
tab minority nat_am
tab minority hispanic
tab minority as_am

**create female variable
tab gender
gen female = gender
recode female  0/0 = 0 1/1 = 1 2/2 = 0
tab female
tab female gender

***Create variables to identify Republicans and Democrats 
gen rep = partyid
recode rep 1/1 = 0 2/2 = 1 3/4 = 0
gen dem = partyid
recode dem 1/1 = 1 2/4 = 0

***Descriptive statistics of outcome varaibles (not mentioned explicity in the paper)
sum respond mention_leg mention_interest sponsor move_p leg_credit interest_credit
tab respond
tab mention_leg
tab mention_interest
tab sponsor
tab move_p
tab leg_credit
tab interest_credit

***Descriptive statistics (Described in "Survey Experiment" section including note 5
tab condition
sum white black nat_am hispanic as_am other
tab white
tab black
tab nat_am
tab hispanic
tab as_am
tab other

sum age female ideology partyid
tab age
tab female
tab ideology
tab partyid

tab position

***test for balance (note 6)
mlogit condition age female minority rep

***Correlation between ideology as noted in note 9
corr ideology rep

***Regressions for Table 2

oprobit leg_credit public private age female minority rep,robust
outreg2 using pripub, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Legislature Credit") word append 
oprobit interest_credit public private age female minority rep, robust
outreg2 using pripub, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Interest Group Credit") word append 
oprobit sponsor public private age female minority rep, robust
outreg2 using pripub, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Sponsor") word append 
oprobit move_p public private age female minority rep, robust
outreg2 using pripub, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Move Position") word append 

oprobit leg_credit i.condition  age female minority rep, robust
test 2.condition == 3.condition 

oprobit interest_credit i.condition  age female minority rep, robust
test 2.condition == 3.condition 

oprobit sponsor i.condition  age female minority rep, robust
test 2.condition == 3.condition 

oprobit move_p i.condition  age female minority rep, robust
test 2.condition == 3.condition 

***Regressions for Table 3
oprobit respond public private age female minority rep,robust
outreg2 using pripub2, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Respond") word append 
oprobit mention_leg public private age female minority rep, robust
outreg2 using pripub2, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Mention Legislation") word append 
oprobit mention_interest public private age female minority rep, robust
outreg2 using pripub2, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Mention Interest Groups") word append 

oprobit respond i.condition  age female minority rep, robust
test 2.condition == 3.condition 

oprobit mention_leg i.condition  age female minority rep, robust
test 2.condition == 3.condition 

oprobit mention_interest i.condition  age female minority rep, robust
test 2.condition == 3.condition 

***Generating predicted probabilities for condition effects reported in the paper (there are notes next to the probabilities reported in the paper -- the other simulations are just run for completeness)

estsimp oprobit leg_credit public private age female minority rep,robust
setx mean
setx public 0
setx private 0
simqi

	***e.g., to compute the probability of a public condition receiving a "fair amount" or "a lot of credit" to the leg. add together the probabilities from the below simulation for scores 3 and 4.
setx mean
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a private condition receiving a "fair amount" or "a lot of credit" to the leg. add together the probabilities from the below simulation for scores 3 and 4.
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 

estsimp oprobit interest_credit public private age female minority rep, robust
setx mean
setx public 0
setx private 0
simqi

	***e.g., to compute the probability of a public condition receiving a "fair amount" or "a lot of credit" to  interest groups add together the probabilities from the below simulation for scores 3 and 4.
setx mean
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a private condition receiving a "fair amount" or "a lot of credit" to interest groups add together the probabilities from the below simulation for scores 3 and 4.
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 

estsimp oprobit sponsor public private age female minority rep, robust
setx mean
setx public 0
setx private 0
simqi
	
	***e.g., to compute the probability of a public condition being "somewhat likely" or "very likely" to sponsor add together the probabilities from the below simulation for scores 6 and 7.
setx mean
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a private condition being "somewhat likely" or "very likely" to sponsor add together the probabilities from the below simulation for scores 6 and 7.
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12

estsimp oprobit move_p public private age female minority rep, robust
setx mean
setx public 0
setx private 0
simqi
setx mean
setx public 1
setx private 0
simqi
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12

estsimp oprobit respond public private age female minority rep,robust
setx mean
setx public 0
setx private 0
simqi

	***e.g., to compute the probability of a public condition being "somewhat likely" or "very likely" to respond add together the probabilities from the below simulation for scores 6 and 7.
setx mean
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a private condition being "somewhat likely" or "very likely" to respond add together the probabilities from the below simulation for scores 6 and 7.
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12

estsimp oprobit mention_leg public private age female minority rep, robust
setx mean
setx public 0
setx private 0
simqi
setx mean
setx public 1
setx private 0
simqi
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12

estsimp oprobit mention_interest public private age female minority rep, robust
setx mean
setx public 0
setx private 0
simqi
setx mean
setx public 1
setx private 0
simqi
setx mean 
setx public 0
setx private 1
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12

***near 0 correlation between credit claiming in the leg. and sponsoring (note 12)
corr leg_credit sponsor

***Generating interaction terms for heterogeneous effect regressions adn then running regressions for Appendix Table A-3
gen reppriv = rep*private
gen reppublic = rep*public

gen dempriv = dem*private
gen dempublic = dem*public

oprobit leg_credit public private age female minority rep reppublic reppriv,robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Legislature Credit") word append 
oprobit interest_credit public private age female minority rep reppublic reppriv, robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Interest Group Credit") word append 
oprobit sponsor public private age female minority rep reppublic reppriv, robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Sponsor") word append 
oprobit move_p public private age female minority rep reppublic reppriv, robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Move Position") word append 
oprobit respond public private age female minority rep reppublic reppriv,robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Respond") word append 
oprobit mention_leg public private age female minority rep reppublic reppriv, robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Mention Legilsation") word append 
oprobit mention_interest public private age female minority rep reppublic reppriv, robust
outreg2 using pripubinter, alpha(.01, .05, .1) bdec(3) sdec(3) ctitle("Mention Interest Groups") word append 

***Checking results if use Democratic Party interaction instead (not in paper)
oprobit leg_credit public private age female minority dem dempublic dempriv,robust
oprobit interest_credit public private age female minority dem dempublic dempriv, robust
oprobit sponsor public private age female minority dem dempublic dempriv, robust
oprobit move_p public private age female minority dem dempublic dempriv, robust
oprobit respond public private age female minority dem dempublic dempriv,robust
oprobit mention_leg public private age female minority dem dempublic dempriv, robust
oprobit mention_interest public private age female minority dem dempublic dempriv, robust

***Generating predicted probabilities for heterogenous treatment effects reported in text of paper (including notes 14 and 15)
estsimp oprobit sponsor public private age female minority rep reppublic reppriv, robust

	***e.g., to compute the probability of a Democrat public condition being "somewhat likely" or "very likely" to sponsor add together the probabilities from the below simulation for scores 6 and 7.	To compute the the probability of a Democrat being "very unilkely" to sponsor, look at the scores for 1 (note 14).
setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a Republican in the public condition being "somewhat likely" or "very likely" to sponsor add together the probabilities from the below simulation for scores 6 and 7. To compute the the probability of a Republican being "very unilkely" to sponsor, look at the scores for 1.
setx mean
setx rep 1 
setx reppriv 0
setx reppublic 1
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a Democrat private condition being "somewhat likely" or "very likely" to sponsor add together the probabilities from the below simulation for scores 6 and 7. To compute the the probability of a Democrat being "very unilkely" to sponsor, look at the scores for 1 (note 14).
setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 0
setx private 1
simqi

	***e.g., to compute the probability of a Republican in the private condition being "somewhat likely" or "very likely" to sponsor add together the probabilities from the below simulation for scores 6 and 7. To compute the the probability of a Republican being "very unilkely" to sponsor, look at the scores for 1.
setx mean
setx rep 1 
setx reppriv 1
setx reppublic 0
setx public 0
setx private 1
simqi

drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14

estsimp oprobit move_p public private age female minority rep reppublic reppriv, robust

	***e.g., to compute the probability of a Democrat public condition being "somewhat likely" or "very likely" to move position add together the probabilities from the below simulation for scores 6 and 7.	To compute the the probability of a Democrat being "very unilkely" to move position, look at the scores for 1 (note 15).
setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a Republican public condition being "somewhat likely" or "very likely" to move position add together the probabilities from the below simulation for scores 6 and 7.	To compute the the probability of a Republican being "very unilkely" to move position, look at the scores for 1 (note 15).
setx mean
setx rep 1 
setx reppriv 0
setx reppublic 1
setx public 1
setx private 0
simqi

	***e.g., to compute the probability of a Democrat private condition being "somewhat likely" or "very likely" to move position add together the probabilities from the below simulation for scores 6 and 7.	To compute the the probability of a Democrat being "very unilkely" to move position, look at the scores for 1 (note 15).
setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 0
setx private 1
simqi

	***e.g., to compute the probability of a Republican private condition being "somewhat likely" or "very likely" to move position add together the probabilities from the below simulation for scores 6 and 7.	To compute the the probability of a Republican being "very unilkely" to move position, look at the scores for 1 (note 15).
setx mean
setx rep 1 
setx reppriv 1
setx reppublic 0
setx public 0
setx private 1
simqi

drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14

***Checking robustness of regression results if restrict sample only to self-reported state legislators (see note 5)

	**Tables 2 and 3
oprobit leg_credit i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

oprobit interest_credit i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

oprobit sponsor i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

oprobit move_p i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

oprobit respond i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

oprobit mention_leg i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

oprobit mention_interest i.condition  age female minority rep, robust, if position == 1
test 2.condition == 3.condition 

	**Appendix Table A-3
oprobit leg_credit public private age female minority rep reppublic reppriv,robust, if position == 1
oprobit interest_credit public private age female minority rep reppublic reppriv, robust, if position == 1
oprobit sponsor public private age female minority rep reppublic reppriv, robust, if position == 1
oprobit move_p public private age female minority rep reppublic reppriv, robust, if position == 1
oprobit respond public private age female minority rep reppublic reppriv,robust, if position == 1
oprobit mention_leg public private age female minority rep reppublic reppriv, robust, if position == 1
oprobit mention_interest public private age female minority rep reppublic reppriv, robust, if position == 1

***Checking robustness of regression results if exclude New Hampshire legislators (see note 5)

tab state

	**Tables 2 and 3
oprobit leg_credit i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

oprobit interest_credit i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

oprobit sponsor i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

oprobit move_p i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

oprobit respond i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

oprobit mention_leg i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

oprobit mention_interest i.condition  age female minority rep, robust, if state ~= 26
test 2.condition == 3.condition 

	**Appendix Table A-3
oprobit leg_credit public private age female minority rep reppublic reppriv,robust, if state ~= 26
oprobit interest_credit public private age female minority rep reppublic reppriv, robust, if state ~= 26
oprobit sponsor public private age female minority rep reppublic reppriv, robust, if state ~= 26
oprobit move_p public private age female minority rep reppublic reppriv, robust, if state ~= 26
oprobit respond public private age female minority rep reppublic reppriv,robust, if state ~= 26
oprobit mention_leg public private age female minority rep reppublic reppriv, robust, if state ~= 26
oprobit mention_interest public private age female minority rep reppublic reppriv, robust, if state ~= 26

***Re-running interactions and generating predicted probabilities for heterogenous treatment effects for Democrats only (see note 14). The restults are nearly the same as those above that did not exclude Independents and Other Party members
estsimp oprobit sponsor public private age female minority rep reppriv reppublic, robust, if dem == 1 | rep == 1
setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 1
setx private 0
simqi

setx mean
setx rep 1 
setx reppriv 0
setx reppublic 1
setx public 1
setx private 0
simqi

setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 0
setx private 1
simqi

setx mean
setx rep 1 
setx reppriv 1
setx reppublic 0
setx public 0
setx private 1
simqi

drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14

estsimp oprobit move_p public private age female minority rep reppriv reppublic, robust, if dem == 1 | rep == 1
setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 1
setx private 0
simqi

setx mean
setx rep 1 
setx reppriv 0
setx reppublic 1
setx public 1
setx private 0
simqi

setx mean
setx rep 0
setx reppriv 0
setx reppublic 0
setx public 0
setx private 1
simqi

setx mean
setx rep 1 
setx reppriv 1
setx reppublic 0
setx public 0
setx private 1
simqi

drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10 b11 b12 b13 b14

***Checking results by party and position (not reported in the paper; showing that among self-reported legislators, there are partisan differences in sponsorship and position movement; thus, the insig. party interactions among self-reported legislators may be due to low power)

oprobit leg_credit i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit interest_credit i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit sponsor i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit move_p i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit respond i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit mention_leg i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit mention_interest i.condition  age female minority rep, robust, if position == 1 & dem == 1
test 2.condition == 3.condition 

oprobit leg_credit i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

oprobit interest_credit i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

oprobit sponsor i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

oprobit move_p i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

oprobit respond i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

oprobit mention_leg i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

oprobit mention_interest i.condition  age female minority rep, robust, if position == 1 & rep == 1
test 2.condition == 3.condition 

drop public private minority female rep dem reppriv reppublic dempriv dempublic dropout
